# React Icons

The icon components for Helpdice UI.

## Install

```
$ yarn add @helpdice/icons
OR
$ npm install @helpdice/icons
```

## Usage

```tsx
import React from 'react'
import { Code, IconProvider } from '@helpdice/icons'

const App = () => {
  return (
    <IconProvider color="#dfdfdf" size={24}>
      <Code />
    </IconProvider>
  )
}

export default App
```

Icons can be configured with `color`, `size` and any SVG props:

```ts
<Code color="red" size={36} />
<Code color="blue" strokeWidth={2} />
```

## Other ways

You can include the whole icon pack:

```tsx
import * as Icons from '@helpdice/icons'

const App = () => {
  return <Icons.Code />
}
```

<br/>

## LICENSE

[MIT](https://raw.githubusercontent.com/helpdice/icons/master/LICENSE)
